{% set CodiceModulo = "PROVA_SNIPPET" %}
{% set Urn = "document:c_g535:prova.snippet;modulo" %}
{% set Urn_procedimento = "" %}
{% set allegati=[
	{ "codice":"DAE-CDI",
		"urn":"document:s_italia:generale;documento.identita;documentazione",
		"descrizione_tabella_allegati":"Documento di identità",
		"annotazioni_tabella_allegati":"(da allegare se il modulo è sottoscritto con firma autografa)",
		"descrizione_meta":"",
		"filename":"Documento identita",
		"firmatari":"Titolare_CodiceFiscale",
		"firmatari_label":"il dichiarante",
		"firmato":"NO",
		"numero":"1",
		"dimensione":"15",
		"enabled":"",
		"dynamic_check":"",
		"tipo":"allegato",
		"tipo_mime":"application/pdf"
		},
	{ "codice":"LAUREA",
		"urn":"urn",
		"descrizione_tabella_allegati":"certificato di laurea",
		"annotazioni_tabella_allegati":"",
		"descrizione_meta":"certificato di laurea",
		"filename":"Laurea",
		"firmatari":"Titolare_CodiceFiscale",
		"firmatari_label":"il dichiarante",
		"firmato":"NO",
		"numero":"1",
		"dimensione":"15",
		"enabled":"#Tassonomia_AlboProfessionale1.checked() || #Tassonomia_AlboProfessionale2.checked()",
		"dynamic_check":"#Tassonomia_AlboProfessionale1.checked() || #Tassonomia_AlboProfessionale2.checked()",
		"tipo":"allegato",
		"tipo_mime":"application/pdf"
	}
]%}
{% extends "base.html" %}
{% block meta %}
<meta campi_firma="Titolare_CodiceFiscale"
campi_firma_label="il dichiarante"
classi_modulo=""
trattamento_dati="PERSONALI"
codice_modulo="{{ CodiceModulo }}"
urn="{% block urn %}{{ Urn }}{% endblock urn %}"
urn_procedimento="{% block urn_procedimento %}{{ Urn_procedimento }}{% endblock urn_procedimento %}"
urn_procedimento_list=""
sub_urn_list=""
uo_globo_list=""
descrizione="Prova modulo con nuovi snippet"
destinatario_amministrazione=""
destinatario_ufficio=""
dinamico="SI"
email_a=""
ente_abilitato="TUTTI"
filigrana="NO"
firmare="P7M_ELETTRONICA"
in_bollo="NO"
istruzioni_compilazione=""
istruzioni_invio="mail_pec"
metodo_invio="mail"
name="GLOBO_modulo"
procura="NO,,"
tipo_modulo="principale"
ufficio=""
verifica_pagamento="NO"
versione="1.0|15/02/2020"/>

<meta codice_allegato="PER-SOG"
urn_allegato="document:s_italia:generale;permesso.soggiorno;documentazione"
descrizione_estesa="Permesso di soggiorno"
dimensione_massima="4"
filename="Permesso soggiorno"
firmato="SI"
name="GLOBO_allegato"
numero="1"
obbligatorio="DINAMICO"
tipo_mime="application/pdf"/>



<meta codice_modulo_figlio="INCARICO_PROCURA"
urn_modulo_figlio="document:s_italia:generale;incarico.procura"
name="GLOBO_modulofiglio"
numero="1"
obbligatorio="DINAMICO"/>
{% for allegato in allegati %}{% set descr = "" %}{% if allegato['descrizione_meta'] == '' %} {% set descr = allegato['descrizione_tabella_allegati']  %} {% else %}{% set descr = allegato['descrizione_meta'] %} {% endif %}
  {% if allegato['tipo'] == "allegato" %}
		<meta codice_allegato="{{ allegato['codice'] }}"
		urn_allegato="{{ allegato['urn'] }}"
		descrizione_estesa="{{  descr[0]|upper + descr[1:descr|length] }}"
		filename="{{ allegato['filename'][0]|upper + allegato['filename'][1:allegato['filename']|length] }}"
		firmatari="{{ allegato['firmatari'] }}"
		firmatari_label="{{ allegato['firmatari_label'] }}"
		firmato="{{ allegato['firmato'] }}"
name="GLOBO_allegato"
		numero="{{ allegato['numero'] }}"
		dimensione_massima="{{ allegato['dimensione'] }}"
		obbligatorio="DINAMICO"
		tipo_mime="{{ allegato['tipo_mime'] }}"/>
  {% elif allegato['tipo'] == "secondario" %} 
    <meta codice_modulo_figlio="{{ allegato['codice'] }}"
    urn_modulo_figlio="{{ allegato['urn'] }}"
    name="GLOBO_modulofiglio"
    numero="{{ allegato['numero'] }}"
    obbligatorio="DINAMICO"/>
  {% endif %}{% endfor %}
<meta codice_allegato="ALTRI-ALLEGATI"
urn_allegato="document:s_italia:altri.allegati"
descrizione_estesa="Altri allegati"
filename="Altri allegati"
firmato="NO"
name="GLOBO_allegato"
numero="0"
obbligatorio="DINAMICO"
tipo_mime="application/pdf"/>


{% endblock meta %}

{% block title %} Prova modulo con nuovi snippet {% endblock title %}

{% block content %}
 <globo_fondo_pagina areaheight="150" scope="2">
 {{ utils.firma() }}
</globo_fondo_pagina>

{{intestazioni.intestazione_moduloprincipale_senzabollo()}}

<input dynamic_value="#Titolare_Cognome.value().toUpperCase() + ' ' + #Titolare_Nome.value().toUpperCase()  + ' - prova modulo nuovi snippet'" id="Oggetto" name="Oggetto" type="hidden"/>

<h1 class="Modulo">
  Prova modulo con nuovi snippet
</h1>
<h2 class="Modulo">
  Ai sensi del regolamento comunale ( normativa di riferimento)
</h2>
<input id="Titolare_DatiPersonaObbligatori" name="Titolare_DatiPersonaObbligatori" type="hidden" dynamic_check="true"/>
<input id="Titolare_Titolo" name="Titolare_Titolo" type="hidden" value="Richiedente"/>
<input id="Titolare_Ruolo" name="Titolare_Ruolo" type="hidden" value="Richiedente"/>
{{ anagrafica.persona_fisica("Titolare", "Il sottoscritto", "visibility:visibility", "cursor:pointer", "visibility:visibility", "visibility:visibility", "mail_ordinaria") }}
{{ anagrafica.soggetto_riferimento_servizi_demografici("AventeTitolo", "per il seguente familiare o tutelato", "per sé stesso", "true", "visibility:visibility", "true") }}

<h3 class="Modulo">
  CHIEDE
</h3>
<p class="Modulo">
  l'iscrizione all'albo
</p>
<table class="Modulo" style="border: 1px solid grey;">
  <tbody>
      {% set zone = ['ingegneri','architetti','albo 3','albo 4','albo 5'] %}
      {% for zona in zone %}
      <tr>
        <td style="vertical-align: top; width: 4%;" >
           {% if loop.first %} <div id="Tassonomia_AlboProfessionale" name="Tassonomia_AlboProfessionale" label="Albo professionale" mandatory="true"></div> {% endif %}
            <input id="Tassonomia_AlboProfessionale{{ loop.index }}" name="Tassonomia_AlboProfessionale" type="radio" value="{{ loop.index }}" />
        </td>
        <td ><p>{{ zona }}</p></td>
      </tr>
      {% endfor %}
      <tr>
        <td rowspan="3" style="vertical-align: top; width: 4%;background-color: white;">
            <input id="Tassonomia_AlboProfessionale6" name="Tassonomia_AlboProfessionale" type="radio" value="6" />
        </td r>
        <td>
          <p>
            altro albo professionale
          </p>
        </td>
      </tr>
      <tr class="Rigaintestazioneridotta">
        <td>
          <p class="Labelcella">
            Specificare
          </p>
        </td>
      </tr>
      <tr>
        <td>
          <input mandatory_enabled="#Tassonomia_AlboProfessionale6.checked()" class="inputNormal" id="Parametri_AltroAlbo" name="Parametri_AltroAlbo" style="width: 100%;" label="Altro albo" />
        </td>
      </tr>
  </tbody>
</table>

<h3 class="Modulo">
  CONSIDERATO
</h3>
<table class="Modulo" style="border: 1px solid grey;">
  <tbody>
    <tr>
      <td rowspan="16" style="vertical-align: top; width: 4%;background-color: white;">
        <div id="Tassonomia_Nidificazione" name="Tassonomia_Nidificazione" label="Nidificazione" mandatory="true"></div>
        <input id="Tassonomia_Nidificazione1" name="Tassonomia_Nidificazione" type="radio" value="1" />
      </td>
      <td colspan="8">
        Opzione di testo 1
      </td>
    </tr>
        
    {% set zone = ["La prima opzione dentro l'opzione 1","La seconda opzione dentro l'opzione 2","La terza opzione dentro l'opzione 3"] %}
    {% for zona in zone %}
    <tr>
      <td rowspan="5" style="vertical-align: top; width: 4%;background-color: white;">
        <div id="Tassonomia_Nido" name="Tassonomia_Nido" label="Nido" mandatory_enabled="#Tassonomia_Nidificazione1.checked()"></div>
        <input id="Tassonomia_Nido{{ loop.index }}" name="Tassonomia_Nido" type="radio" value="{{ loop.index }}" />
      </td>
      <td colspan="7">
        <p>
         {{ zona }}
        </p>
      </td>
    </tr>
    <tr class="Rigaintestazioneridotta">
      <td colspan="2">
        <p class="Labelcella">
          Cognome 
        </p>
      </td>
      <td colspan="2">
        <p class="Labelcella">
          Nome 
        </p>
      </td>
      <td colspan="3">
        <p class="Labelcella">
          Data di nascita 
        </p>
      </td>
    </tr>
    <tr>
      <td colspan="2">
        <input mandatory_enabled="#Tassonomia_Nido{{ loop.index }}.checked()" class="inputNormal" id="Parametri_CognomeOpzioneUno{{ loop.index }}" name="Parametri_CognomeOpzioneUno{{ loop.index }}" style="width: 100%;" label="Cognome" />
      </td>
      <td colspan="2">
        <input mandatory_enabled="#Tassonomia_Nido{{ loop.index }}.checked()" class="inputNormal" id="Parametri_NomeOpzioneUno{{ loop.index }}" name="Parametri_NomeOpzioneUno{{ loop.index }}" style="width: 100%;" label="Nome" />
      </td>
      <td colspan="3">
        <input format="date" mandatory_enabled="#Tassonomia_Nido{{ loop.index }}.checked()" class="inputNormal" id="Parametri_DataOpzioneUno{{ loop.index }}" name="Parametri_DataOpzioneUno{{ loop.index }}" style="width: 100%;" label="Data di nascita" />
      </td>
    </tr>
    <tr class="Rigaintestazioneridotta">
      <td colspan="7">
        <p class="Labelcella">
          Iban
        </p>
      </td>
    </tr>
    <tr>
      <td colspan="7">
        <input  mandatory_enabled="#Tassonomia_Nido{{ loop.index }}.checked()" class="inputNormal" id="Parametri_IBANOpzione{{ loop.index }}" name="Parametri_IBANOpzione{{ loop.index }}" style="width: 100%;" label="Iban" format="iban_cc"/>
      </td>
    </tr>
   {% endfor %}
  </tbody>
</table>


<table class="Modulo" style="border: 1px solid grey;">
  <tbody>
    <tr>
      <td rowspan="3" style="vertical-align: top; width: 4%;background-color: white;">
         <div id="Tassonomia_OpzioneImmobile" name="Tassonomia_OpzioneImmobile" label="Label" mandatory="true"></div>
         <input id="Tassonomia_OpzioneImmobile1" name="Tassonomia_OpzioneImmobile" type="radio" value="1" />
      </td>
      <td colspan="7">
        <p>
          Primo immobile
        </p>
      </td>
    </tr>
    <input id="Immobile7_DatiImmobileRichiesti" name="Immobile7_DatiImmobileRichiesti" type="checkbox" style="display: none;" value="si" dynamic_check="#Tassonomia_OpzioneImmobile1.checked()"/>
    {{ immobili.immobile_toponomastica_indantato( prefix='Immobile7', annotazioniSolo1="Immobile principale oggetto dell'istanza" ) }}
  </tbody>
</table>

<table class="Modulo" style="border: 1px solid grey;">
  <tbody>
    <tr>
      <td rowspan="3" style="vertical-align: top; width: 4%;background-color: white;">
         <div id="Tassonomia_OpzioneAltroImmobile" name="Tassonomia_OpzioneAltroImmobile" label="Label" mandatory="true"></div>
         <input id="Tassonomia_OpzioneAltroImmobile1" name="Tassonomia_OpzioneAltroImmobile" type="radio" value="1" />
      </td>
      <td colspan="7">
        <p>
          Primo immobile
        </p>
      </td>
    </tr>
    <input id="Immobile8_DatiImmobileRichiesti" name="Immobile8_DatiImmobileRichiesti" type="checkbox" style="display: none;" value="si" dynamic_check="#Tassonomia_OpzioneAltroImmobile1.checked()"/>
    {{ immobili.immobile_toponomastica_indantato( prefix='Immobile8', annotazioniSolo1="Immobile principale oggetto dell'istanza" ) }}
  </tbody>
</table>




<h3 class="Modulo">
  CONSIDERATO ANCHE
</h3>
<p class="Modulo">
  che il nucleo familiare è così composto
</p>
<table class="Modulo" style="border: 1px solid grey;">
  <tbody>
    
    <tr class="Rigaintestazioneridotta">
      <td>
        <p class="Labelcella">
            Nome 
        </p>
      </td>
      <td>
        <p class="Labelcella">
            Data di nascita
        </p>
      </td>
      <td>
        <p class="Labelcella">
            Codice fiscale
        </p>
      </td>
      <td>
        <p class="Labelcella">
            Grado di parentela
        </p>
      </td>
    </tr>
    {% for i in range(1, 5) %}
    <tr {% if i==1 %}  mandatory="true" {% endif %}>
      <td><input class="inputNormal" id="Parametri_NomeSoggetto{{ loop.index }}" name="Parametri_NomeSoggetto{{ loop.index }}" style="width: 100%;" label="Nome soggetto" {% if not loop.first %} enabled="#Parametri_NomeSoggetto{{ i-1 }}.value()!=''"{% endif %} /></td>
      <td><input class="inputNormal" id="Parametri_DataNascitaSoggetto{{ loop.index }}" {% if not loop.first %} mandatory_enabled="#Parametri_NomeSoggetto{{ i }}.value()!=''" {% endif %} format="date" name="Parametri_DataNascitaSoggetto{{ loop.index }}" style="width: 100%;"   label="Data nascita"/></td>
      <td><input class="inputNormal" id="Parametri_CodiceFiscale{{ loop.index }}" {% if not loop.first %} mandatory_enabled="#Parametri_NomeSoggetto{{ i }}.value()!=''" {% endif %} format="cf" name="Parametri_CodiceFiscale{{ loop.index }}" style="width: 100%;"  label="Codice fiscale"/></td>
      <td>
      <select style="width: 100%;" name="Parametri_GradoParentela{{ loop.index }}" {% if not loop.first %} mandatory_enabled="#Parametri_NomeSoggetto{{ i }}.value()!=''" {% endif %} id="Parametri_GradoParentela{{ loop.index }}">
        <option value=""></option>
        <option value="Padre">Padre</option>
        <option value="Madre">Madre</option>
        <option value="Nonno">Nonno</option>
        <option value="Nonna">Nonna</option>
        <option value="Fratello">Fratello</option>
        <option value="Sorella">Sorella</option>
      </select>
      </td> 
    </tr>
    {% endfor %}   
  </tbody>
</table>
{{ utils.Dichiara_445() }}
<table class="Modulo" style="border: 0px;">
  <tbody>    
       {% set dic = [
                "dddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddd",
                "eeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee", 
                "dddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddd",
                "eeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee", 
                "dddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddd",
                "eeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee", 
                "dddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddd",
                "eeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee", 
                "dddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddd",
                "eeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee", 
                "dddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddd",
                "eeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee", 
                "dddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddd",
                "eeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee", 
                "dddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddd",
                "eeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee", 
      ]%}
      {% for dichiara in dic %}
      <tr style="border: 0px;">
        <td style="vertical-align: top; width: 4%;border: 0px;" >        
          <input id="Dichiara{{ loop.index }}" name="Dichiara{{ loop.index }}" type="checkbox" value="SI" checked="checked" dynamic_check="true"/>  
        </td>
        <td style="border: 0px;"><p>{{ dichiara|safe }}</p></td>
      </tr>
      {% endfor %}

  </tbody>
</table>


<br/>

<table class="Modulo" style="border:1px solid grey">
 <tbody>
  <tr class="Rigaintestazioneridotta">
   <td>
    <p class="Labelcella">
     Eventuali annotazioni
    </p>
   </td>
  </tr>
  <tr>
   <td>
    <textarea class="inputNormal" id="Parametri_Annotazioni" name="Parametri_Annotazioni" style="width:100%;height:5cm;"></textarea>
   </td>
  </tr>
 </tbody>
</table>

<br/>

<table class="Modulo" style="border:1px solid grey">
 <tbody>
  <tr class="Rigaintestazione">
   <td colspan="2">
    <p style="text-align: center;">
     <b>
      Elenco degli allegati
     </b>
     <br/>
     <span style="font-size:70%">
      <i>
       (barrare tutti gli allegati richiesti in fase di presentazione della pratica ed elencati sul portale)
      </i>
     </span>
    </p>
   </td>
  </tr>
  <tr>
    <td style="vertical-align: top; width: 4%;">
      <input id="PER-SOG" name="PER-SOG" type="checkbox" value="OBBLIGATORIO"/>
    </td>
    <td style="background-color: #eeeeee;">
      <p>
      copia del permesso di soggiorno
      <br/>
          <span style="font-size:70%">
        <i>
        (da allegare in caso di cittadino extracomunitario)
        </i>
      </span>
      </p>
    </td>
  </tr>
  {% for allegato in allegati %}
  <tr>
   <td style="vertical-align: top; width:3%">
    <input id="{{ allegato['codice'] }}" name="{{ allegato['codice'] }}" type="checkbox" value="OBBLIGATORIO" {% if allegato['dynamic_check'] == "true" %} dynamic_check="true" checked="checked" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] == "" %} dynamic_check="{{ allegato['dynamic_check'] }}" {% elif allegato['dynamic_check'] == "" and allegato['enabled'] != "" %} enabled="{{ allegato['enabled'] }}" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] != "" %} dynamic_check="{{ allegato['dynamic_check'] }}" enabled="{{ allegato['enabled'] }}" {% endif %} />  
  {% if allegato['tipo'] == "allegato" %}<input id="GLOBO_allegato_c{{ allegato['codice'] }}" name="GLOBO_allegato_c{{ allegato['codice'] }}" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>{% elif allegato['tipo'] == "secondario" %} <input id="GLOBO_modulofiglio_c{{ allegato['codice'] }}" name="GLOBO_modulofiglio_c{{ allegato['codice'] }}" type="hidden" value="" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''"/>{% endif %}
   </td>
   <td style="background-color: #eeeeee;">
    <p>
       {{ allegato['descrizione_tabella_allegati'][0]|lower + allegato['descrizione_tabella_allegati'][1:allegato['descrizione_tabella_allegati']|length] }}{% if allegato['annotazioni_tabella_allegati'] != "" %}<br/><span style="font-size:70%"><i>{{  allegato['annotazioni_tabella_allegati']|safe }}</i></span>{% endif %}
      </p>
    </td>
  </tr>                     
{% endfor %}
  <tr>
   <td>
    <input id="ALTRI-ALLEGATI" name="ALTRI-ALLEGATI" type="checkbox" value="OBBLIGATORIO"/>
   </td>
   <td style="background-color: #eeeeee;">
    <p>
     altri allegati
     <span style="font-size:70%">
      (specificare)
     </span>
     <input class="inputNormal" id="AltriAllegati" label="Altri allegati" mandatory_enabled="#ALTRI_ALLEGATI.checked()" name="AltriAllegati" style="width:79%;"/>
    </p>
   </td>
  </tr>
 </tbody>
</table>


<br/>

{{ utils.trattamento_dati_personali() }}

<br/>

  {{ utils.firma_hidden() }}
  <br/>

<p class="Modulo">
 <input id="SalvaModulo" name="SalvaModulo" style="height:30px;width:120px;" title="Verifica la corretta compilazione dei campi e salva il modulo nel faldone virtuale dell'istanza." type="submit" value="Salva modulo"/>
</p>

<input destinatario_amministrazione="getParameter('Ente')" id="GLOBO_modulo_c{{ CodiceModulo }}" name="GLOBO_modulo_c{{ CodiceModulo }}" type="hidden" value=""/>

<input id="GLOBO_allegato_cALTRI-ALLEGATI" name="GLOBO_allegato_cALTRI-ALLEGATI" obbligatorio="#ALTRI_ALLEGATI.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>

<input firmare="'P7M_ELETTRONICA'" id="GLOBO_modulofiglio_cINCARICO_PROCURA" name="GLOBO_modulofiglio_cINCARICO_PROCURA" type="hidden" value=""/>

<input id="GLOBO_id_padre" name="GLOBO_id_padre" type="hidden"/>

<input id="GLOBO_allegato_cPER-SOG" name="GLOBO_allegato_cPER-SOG" obbligatorio="#PER_SOG.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>

<input id="GLOBO_recupera_dati" name="GLOBO_recupera_dati" type="hidden"/>

<input id="GLOBO_codice_modulo" name="GLOBO_codice_modulo" type="hidden" value="{{ CodiceModulo }}"/>

{% endblock content %}
